Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


ShouldNotReachhere classFileParser ANDROID

¿Alguna idea de cómo solucionar este problema? Estoy usando Eclipse y parece que se produce incluso cuando creo un nuevo proyecto de Android. 🙁

# A fatal error has been detected by the Java Runtime Environment: # # Internal Error (classFileParser.cpp:3174), pid=3944, tid=3256 # Error: ShouldNotReachHere() # # JRE version: 6.0_18-b07 

  • Java.lang.RuntimeException: No se puede instanciar actividad ComponentInfo
  • 8 Solutions collect form web for “ShouldNotReachhere classFileParser ANDROID”

    Utilice "Ejecutar configuraciones" y asegúrese de seleccionar la aplicación de Android.

    Resolví esto por

    • Salir del eclipse
    • Elimine los directorios bin y gen de su proyecto
    • Iniciar eclipse
    • Reconstruya su proyecto

    ¿Está recibiendo este error al ejecutar pruebas JUnit? Si es así, parece que la culpa que tuve, pero encontró una solución. Ver mi respuesta aquí

    Corrí a través de este error y pensé que tenía algo que ver con mi JRE ya que los documentos específicamente estado 1.5 o 1.6, sin embargo, parece que hay un paso fácil que yo (y parece que otros) desnatado más. Debe excluir Android Bootstrap de la configuración de ejecución. Vaya a "Editar configuraciones de ejecución" y seleccione la configuración de DatabaseConfigUtil run y luego vaya a la pestaña "Classpath" y elimine el "Android Bootstrap".

    Muchas gracias a este hilo útil: https://groups.google.com/forum/#!topic/ormlite-android/Qaw4JD2KJ1Q

    EDIT: Acabo de darme cuenta de que mientras mi problema era el mismo, teníamos objetivos diferentes. En su caso estaba intentando ejecutar un proyecto de Android como una aplicación Java, sin embargo mi problema estaba tratando de ejecutar la aplicación Java generador de ORMLite dentro de un proyecto de Android y se agregaba automáticamente el arranque de android a classpath. Así que en el caso mencionado en la pregunta simplemente ejecutarlo como un proyecto de Android en lugar de una aplicación Java debería resolver este problema.

    Nunca he visto ese error, pero puedes probar las soluciones estándar: actualiza o reinstala tu JRE y el SDK de Android. Podría ayudar…

    Sucede también para mí, pero parece relacionado con proyectos que dependen de otros proyectos de biblioteca. Esto sucede si golpeo F11 para volver a ejecutar mientras que en el proyecto de la biblioteca, pero no cuando hago eso de la aplicación. Creo que sólo se confunde cuando trata de averiguar cómo ejecutar una biblioteca. Así que la solución es bastante simple, pero seguro no era obvio para averiguar.

    Bueno … Creo que el problema es porque estás usando el entorno android para ejecutar aplicaciones java. Probablemente inserte código java dentro de la estructura android y no puede "leer" esto.

    Es posible que haya configurado el lanzador como Eclipse JUnit Launcher. Si es así, necesita cambiar a Android JUnit Test Launcher.

    para hacer esto

    1. Haga clic derecho en la ventana de código
    2. correr como
    3. Ejecutar configuraciones
    4. En la parte inferior de la ventana emergente verás un texto que dice " Using Eclipse JUnit Launcher " y un enlace a la derecha de él texted como select other
    5. Haga clic en seleccionar otro y cambie a Android JUnit Test Launcher
    6. correr
    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.